package com.iamberry.wechat.core.entity.order;

import java.io.Serializable;

/**
 * @author 何秀刚
 * Class Description: 订单项实体类
 * Create Date:2016年4月20日
 * Update Date:2016年4月20日
 */
public class OrderItem implements Serializable {
	private static final long serialVersionUID = 5076601528251971617L;
	
	private Integer itemId;								//订单条目id
	
	private String itemSalesOrderid;				//所属订单
	
	private Integer itemProductId;					//购物商品
	
	private Integer itemColorId;						//商品颜色表id
	
	private Integer itemProductType;			//产品类型id
	
	private Integer itemNum;						//商品数量
	
	private Integer itemTotal;						//小结
	
	private String itemProductName;			//商品名称
	
	private Integer itemProductDiscount;		//商品优惠价
	
	private Integer itemProductPrice;			//商品原价
	
	private String itemProductPic;					//介绍图
	
	private Integer productDiscount;		//产品表中商品折扣价
	
	private Integer productPrice;			//产品表中商品原价

	private Integer productStatus;			//商品状态		1:在售	2:停止销售	3:删除
	
	private String productColor;			//产品颜色		1：红色	2：橙色	3：黄色	4：绿色
	//			5：青色	6：蓝色	7：紫色	8：白色
	
	private String produectRemark;		//产品备注，存放百胜商品69码的
	
	
	
	
	public Integer getItemColorId() {
		return itemColorId;
	}

	public void setItemColorId(Integer itemColorId) {
		this.itemColorId = itemColorId;
	}

	public Integer getItemProductType() {
		return itemProductType;
	}

	public void setItemProductType(Integer itemProductType) {
		this.itemProductType = itemProductType;
	}

	public String getProduectRemark() {
		return produectRemark;
	}

	public void setProduectRemark(String produectRemark) {
		this.produectRemark = produectRemark;
	}

	public Integer getItemId() {
		return itemId;
	}

	public String getProductColor() {
		return productColor;
	}

	public void setProductColor(String productColor) {
		this.productColor = productColor;
	}

	public void setItemId(Integer itemId) {
		this.itemId = itemId;
	}

	public String getItemSalesOrderid() {
		return itemSalesOrderid;
	}

	public void setItemSalesOrderid(String itemSalesOrderid) {
		this.itemSalesOrderid = itemSalesOrderid;
	}

	public Integer getItemProductId() {
		return itemProductId;
	}

	public void setItemProductId(Integer itemProductId) {
		this.itemProductId = itemProductId;
	}

	public Integer getItemNum() {
		return itemNum;
	}

	public void setItemNum(Integer itemNum) {
		this.itemNum = itemNum;
	}

	public Integer getItemTotal() {
		return itemTotal;
	}

	public void setItemTotal(Integer itemTotal) {
		this.itemTotal = itemTotal;
	}

	public String getItemProductName() {
		return itemProductName;
	}

	public void setItemProductName(String itemProductName) {
		this.itemProductName = itemProductName;
	}

	public Integer getItemProductDiscount() {
		return itemProductDiscount;
	}

	public void setItemProductDiscount(Integer itemProductDiscount) {
		this.itemProductDiscount = itemProductDiscount;
	}

	public Integer getItemProductPrice() {
		return itemProductPrice;
	}

	public void setItemProductPrice(Integer itemProductPrice) {
		this.itemProductPrice = itemProductPrice;
	}

	public String getItemProductPic() {
		return itemProductPic;
	}

	public void setItemProductPic(String itemProductPic) {
		this.itemProductPic = itemProductPic;
	}

	public Integer getProductDiscount() {
		return productDiscount;
	}

	public void setProductDiscount(Integer productDiscount) {
		this.productDiscount = productDiscount;
	}
	public Integer getProductPrice() {
		return productPrice;
	}
	public void setProductPrice(Integer productPrice) {
		this.productPrice = productPrice;
	}

	public Integer getProductStatus() {
		return productStatus;
	}
	public void setProductStatus(Integer productStatus) {
		this.productStatus = productStatus;
	}
	
	
}
